rgb_map(3)

NAME
rgb_map - Look up table to speed up reducing RGB values to palette colors. Allegro game programming library.

SYNOPSIS
#include <allegro.h>

extern RGB_MAP *rgb_map;

DESCRIPTION
To speed up reducing RGB values to 8-bit paletted colors, Allegro uses a 32k lookup table (5 bits for each color component). You must set up this table before using the gouraud shading routines, and if present the table will also vastly accelerate the makecol8() and some create_*_table() functions. RGB tables can be precalculated with the rgbmap utility, or generated at runtime with create_rgb_table().

SEE ALSO
create_rgb_table(3), makecol8(3), create_trans_table(3), create_light_table(3), create_color_table(3), ex3d(3), excolmap(3), exrgbhsv(3), exshade(3), extrans(3)